Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfDatabaseOrientationType

    java.lang.Object
      java.lang.Enum<OdfDatabaseOrientationType>
          org.odftoolkit.odfdom.dom.type.table.OdfDatabaseOrientationType

All Implemented Interfaces:
  Serializable, Comparable<OdfDatabaseOrientationType>

    public enum OdfDatabaseOrientationType

extends Enum<OdfDatabaseOrientationType>

Enum Constant Summary
`COLUMN`
`ROW`

Method Summary
`static OdfDatabaseOrientationType` | `enumValueOf(String _aString)`
`String` | `toString()`
`static String` | `toString(OdfDatabaseOrientationType _aEnum)`
`static OdfDatabaseOrientationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDatabaseOrientationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROW

    public static final OdfDatabaseOrientationType ROW

### COLUMN

    public static final OdfDatabaseOrientationType COLUMN

Method Detail

### values

    public static OdfDatabaseOrientationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDatabaseOrientationType c : OdfDatabaseOrientationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDatabaseOrientationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<OdfDatabaseOrientationType>`

### toString

    public static String toString(OdfDatabaseOrientationType _aEnum)

### enumValueOf

    public static OdfDatabaseOrientationType enumValueOf(String _aString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.